Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

servlet
Class DefaultApplyXSLTProperties  view DefaultApplyXSLTProperties download DefaultApplyXSLTProperties.java

java.lang.Object
  extended byservlet.ApplyXSLTProperties
      extended byservlet.DefaultApplyXSLTProperties

public class DefaultApplyXSLTProperties
extends ApplyXSLTProperties

DefaultApplyXSLTProperties contains operational parameters for DefaultApplyXSLT based on program defaults and configuration.

This class is also used to return values for request-time parameters.


Field Summary
private  java.lang.String DEFAULT_catalog
          Program default for parameter "catalog".
protected  java.lang.String localHost
          Host used for local context comparisons.
protected static int port
          Server port.
 
Fields inherited from class servlet.ApplyXSLTProperties
 
Constructor Summary
DefaultApplyXSLTProperties()
          Constructor to use program defaults.
DefaultApplyXSLTProperties(javax.servlet.ServletConfig config)
          Constructor to use to override program defaults.
 
Method Summary
 java.lang.String[] getCatalog(javax.servlet.http.HttpServletRequest request)
          Returns URLs for all XCatalogs that are to be used to process the request.
 java.lang.String getLocalHost()
          Returns the name of trusted IP host.
 java.lang.String getXMLurl(javax.servlet.http.HttpServletRequest request)
          Returns a string representing the constrained URL for the XML document.
 java.lang.String getXSLRequestURL(javax.servlet.http.HttpServletRequest request)
          Returns a string representing the constrained URL for the XSL stylesheet from the request.
 java.lang.String getXSLurl(javax.servlet.http.HttpServletRequest request)
          Returns a string representing the constrained request URL for the XSL stylesheet.
protected  void setLocalHost()
          Sets the name of the local IP host name; this value will be used to constrain untrusted XML document and XSL stylesheet URLs to this trusted host.
protected  void setSystemProperties()
          I think we no longer need this.
 java.net.URL toSafeURL(java.lang.String xURL, javax.servlet.http.HttpServletRequest request)
          Returns a URL which is constrained to a trusted IP host.
 
Methods inherited from class servlet.ApplyXSLTProperties
getRequestParmString, isDebug, isNoCW
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

DEFAULT_catalog

private final java.lang.String DEFAULT_catalog
Program default for parameter "catalog".

See Also:
getCatalog(javax.servlet.http.HttpServletRequest) 55

localHost

protected transient java.lang.String localHost
Host used for local context comparisons.

See Also:
getLocalHost() 55 , setLocalHost() 55

port

protected static int port
Server port. Used in toSafeURL() -- fix submitted by Ritesh Kumar.

Constructor Detail

DefaultApplyXSLTProperties

public DefaultApplyXSLTProperties()
Constructor to use program defaults.


DefaultApplyXSLTProperties

public DefaultApplyXSLTProperties(javax.servlet.ServletConfig config)
Constructor to use to override program defaults.

Method Detail

setLocalHost

protected void setLocalHost()
Sets the name of the local IP host name; this value will be used to constrain untrusted XML document and XSL stylesheet URLs to this trusted host.


getLocalHost

public java.lang.String getLocalHost()
Returns the name of trusted IP host.


toSafeURL

public java.net.URL toSafeURL(java.lang.String xURL,
                              javax.servlet.http.HttpServletRequest request)
                       throws java.net.MalformedURLException
Returns a URL which is constrained to a trusted IP host.


getXMLurl

public java.lang.String getXMLurl(javax.servlet.http.HttpServletRequest request)
                           throws java.net.MalformedURLException
Returns a string representing the constrained URL for the XML document. If there is no request parameter for the XML document, return the configured default.

Overrides:
getXMLurl in class ApplyXSLTProperties

getXSLRequestURL

public java.lang.String getXSLRequestURL(javax.servlet.http.HttpServletRequest request)
                                  throws java.net.MalformedURLException
Returns a string representing the constrained URL for the XSL stylesheet from the request.


getXSLurl

public java.lang.String getXSLurl(javax.servlet.http.HttpServletRequest request)
                           throws java.net.MalformedURLException
Returns a string representing the constrained request URL for the XSL stylesheet. If there is no request parameter for the XSL stylesheet, return the configured default.

Overrides:
getXSLurl in class ApplyXSLTProperties

getCatalog

public java.lang.String[] getCatalog(javax.servlet.http.HttpServletRequest request)
Returns URLs for all XCatalogs that are to be used to process the request. Catalogs are used to resolve XML public identifiers into system identifiers.

A single XCatalog can be configured as a default, but multiple XCatalogs can be specified at request time to augment the configured default.


setSystemProperties

protected void setSystemProperties()
I think we no longer need this. Sets the 3 jaxp core system properties.